Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class CreateApplicationRequestType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.CreateApplicationRequestType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:54:11+02:00",
               comments="JAXB RI v2.3.6")
    public class CreateApplicationRequestType

extends Object
implements Serializable

Groeperend element voor een nieuwe aanvraag of hernieuwing.

Java class for CreateApplicationRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CreateApplicationRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Reason" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationReasonType"/>
             <element name="DependentPerson" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DependentPersonType"/>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationMobilityToolType"/>
             <element name="BTC" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationBTCType" minOccurs="0"/>
             <element name="IsSecondWheelchair" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEarlyRenewalPathologicalChange" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEarlyRenewalUnusableMobilityTool" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasRecognitionVAPH" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="HasSDA" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsProfessionalUse" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Bandagist" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}BandagistType"/>
             <element name="Enterprise" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EnterpriseType"/>
             <element name="ApplicationDocument" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="Prescription" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}PrescriptionType" minOccurs="0"/>
             <element name="WheelchairAdviceReport" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationWheelchairAdviceReportType" minOccurs="0"/>
             <element name="MotivationReport" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="TestReport" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}DocumentListType" minOccurs="0"/>
             <element name="IsAccident" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="Hospitalization" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}HospitalizationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CreateApplicationRequestType()`

Method Summary
`DocumentListType` | `getApplicationDocument()` Gets the value of the applicationDocument property.
`BandagistType` | `getBandagist()` Gets the value of the bandagist property.
`ApplicationBTCType` | `getBTC()` Gets the value of the btc property.
`DependentPersonType` | `getDependentPerson()` Gets the value of the dependentPerson property.
`EnterpriseType` | `getEnterprise()` Gets the value of the enterprise property.
`HospitalizationType` | `getHospitalization()` Gets the value of the hospitalization property.
`ApplicationMobilityToolType` | `getMobilityTool()` Gets the value of the mobilityTool property.
`DocumentListType` | `getMotivationReport()` Gets the value of the motivationReport property.
`PrescriptionType` | `getPrescription()` Gets the value of the prescription property.
`ApplicationReasonType` | `getReason()` Gets the value of the reason property.
`DocumentListType` | `getTestReport()` Gets the value of the testReport property.
`ApplicationWheelchairAdviceReportType` | `getWheelchairAdviceReport()` Gets the value of the wheelchairAdviceReport property.
`boolean` | `isHasRecognitionVAPH()` Gets the value of the hasRecognitionVAPH property.
`boolean` | `isHasSDA()` Gets the value of the hasSDA property.
`boolean` | `isIsAccident()` Gets the value of the isAccident property.
`boolean` | `isIsEarlyRenewalPathologicalChange()` Gets the value of the isEarlyRenewalPathologicalChange property.
`boolean` | `isIsEarlyRenewalUnusableMobilityTool()` Gets the value of the isEarlyRenewalUnusableMobilityTool property.
`boolean` | `isIsProfessionalUse()` Gets the value of the isProfessionalUse property.
`boolean` | `isIsSecondWheelchair()` Gets the value of the isSecondWheelchair property.
`void` | `setApplicationDocument(DocumentListType value)` Sets the value of the applicationDocument property.
`void` | `setBandagist(BandagistType value)` Sets the value of the bandagist property.
`void` | `setBTC(ApplicationBTCType value)` Sets the value of the btc property.
`void` | `setDependentPerson(DependentPersonType value)` Sets the value of the dependentPerson property.
`void` | `setEnterprise(EnterpriseType value)` Sets the value of the enterprise property.
`void` | `setHasRecognitionVAPH(boolean value)` Sets the value of the hasRecognitionVAPH property.
`void` | `setHasSDA(boolean value)` Sets the value of the hasSDA property.
`void` | `setHospitalization(HospitalizationType value)` Sets the value of the hospitalization property.
`void` | `setIsAccident(boolean value)` Sets the value of the isAccident property.
`void` | `setIsEarlyRenewalPathologicalChange(boolean value)` Sets the value of the isEarlyRenewalPathologicalChange property.
`void` | `setIsEarlyRenewalUnusableMobilityTool(boolean value)` Sets the value of the isEarlyRenewalUnusableMobilityTool property.
`void` | `setIsProfessionalUse(boolean value)` Sets the value of the isProfessionalUse property.
`void` | `setIsSecondWheelchair(boolean value)` Sets the value of the isSecondWheelchair property.
`void` | `setMobilityTool(ApplicationMobilityToolType value)` Sets the value of the mobilityTool property.
`void` | `setMotivationReport(DocumentListType value)` Sets the value of the motivationReport property.
`void` | `setPrescription(PrescriptionType value)` Sets the value of the prescription property.
`void` | `setReason(ApplicationReasonType value)` Sets the value of the reason property.
`void` | `setTestReport(DocumentListType value)` Sets the value of the testReport property.
`void` | `setWheelchairAdviceReport(ApplicationWheelchairAdviceReportType value)` Sets the value of the wheelchairAdviceReport property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateApplicationRequestType

    public CreateApplicationRequestType()

Method Detail

### getReason

    public ApplicationReasonType getReason()

  Gets the value of the reason property.

  Returns:
    possible object is `ApplicationReasonType`

### setReason

    public void setReason(ApplicationReasonType value)

  Sets the value of the reason property.

  Parameters:
    `value` - allowed object is `ApplicationReasonType`

### getDependentPerson

    public DependentPersonType getDependentPerson()

  Gets the value of the dependentPerson property.

  Returns:
    possible object is `DependentPersonType`

### setDependentPerson

    public void setDependentPerson(DependentPersonType value)

  Sets the value of the dependentPerson property.

  Parameters:
    `value` - allowed object is `DependentPersonType`

### getMobilityTool

    public ApplicationMobilityToolType getMobilityTool()

  Gets the value of the mobilityTool property.

  Returns:
    possible object is `ApplicationMobilityToolType`

### setMobilityTool

    public void setMobilityTool(ApplicationMobilityToolType value)

  Sets the value of the mobilityTool property.

  Parameters:
    `value` - allowed object is `ApplicationMobilityToolType`

### getBTC

    public ApplicationBTCType getBTC()

  Gets the value of the btc property.

  Returns:
    possible object is `ApplicationBTCType`

### setBTC

    public void setBTC(ApplicationBTCType value)

  Sets the value of the btc property.

  Parameters:
    `value` - allowed object is `ApplicationBTCType`

### isIsSecondWheelchair

    public boolean isIsSecondWheelchair()

  Gets the value of the isSecondWheelchair property.

### setIsSecondWheelchair

    public void setIsSecondWheelchair(boolean value)

  Sets the value of the isSecondWheelchair property.

### isIsEarlyRenewalPathologicalChange

    public boolean isIsEarlyRenewalPathologicalChange()

  Gets the value of the isEarlyRenewalPathologicalChange property.

### setIsEarlyRenewalPathologicalChange

    public void setIsEarlyRenewalPathologicalChange(boolean value)

  Sets the value of the isEarlyRenewalPathologicalChange property.

### isIsEarlyRenewalUnusableMobilityTool

    public boolean isIsEarlyRenewalUnusableMobilityTool()

  Gets the value of the isEarlyRenewalUnusableMobilityTool property.

### setIsEarlyRenewalUnusableMobilityTool

    public void setIsEarlyRenewalUnusableMobilityTool(boolean value)

  Sets the value of the isEarlyRenewalUnusableMobilityTool property.

### isHasRecognitionVAPH

    public boolean isHasRecognitionVAPH()

  Gets the value of the hasRecognitionVAPH property.

### setHasRecognitionVAPH

    public void setHasRecognitionVAPH(boolean value)

  Sets the value of the hasRecognitionVAPH property.

### isHasSDA

    public boolean isHasSDA()

  Gets the value of the hasSDA property.

### setHasSDA

    public void setHasSDA(boolean value)

  Sets the value of the hasSDA property.

### isIsProfessionalUse

    public boolean isIsProfessionalUse()

  Gets the value of the isProfessionalUse property.

### setIsProfessionalUse

    public void setIsProfessionalUse(boolean value)

  Sets the value of the isProfessionalUse property.

### getBandagist

    public BandagistType getBandagist()

  Gets the value of the bandagist property.

  Returns:
    possible object is `BandagistType`

### setBandagist

    public void setBandagist(BandagistType value)

  Sets the value of the bandagist property.

  Parameters:
    `value` - allowed object is `BandagistType`

### getEnterprise

    public EnterpriseType getEnterprise()

  Gets the value of the enterprise property.

  Returns:
    possible object is `EnterpriseType`

### setEnterprise

    public void setEnterprise(EnterpriseType value)

  Sets the value of the enterprise property.

  Parameters:
    `value` - allowed object is `EnterpriseType`

### getApplicationDocument

    public DocumentListType getApplicationDocument()

  Gets the value of the applicationDocument property.

  Returns:
    possible object is `DocumentListType`

### setApplicationDocument

    public void setApplicationDocument(DocumentListType value)

  Sets the value of the applicationDocument property.

  Parameters:
    `value` - allowed object is `DocumentListType`

### getPrescription

    public PrescriptionType getPrescription()

  Gets the value of the prescription property.

  Returns:
    possible object is `PrescriptionType`

### setPrescription

    public void setPrescription(PrescriptionType value)

  Sets the value of the prescription property.

  Parameters:
    `value` - allowed object is `PrescriptionType`

### getWheelchairAdviceReport

    public ApplicationWheelchairAdviceReportType getWheelchairAdviceReport()

  Gets the value of the wheelchairAdviceReport property.

  Returns:
    possible object is `ApplicationWheelchairAdviceReportType`

### setWheelchairAdviceReport

    public void setWheelchairAdviceReport(ApplicationWheelchairAdviceReportType value)

  Sets the value of the wheelchairAdviceReport property.

  Parameters:
    `value` - allowed object is `ApplicationWheelchairAdviceReportType`

### getMotivationReport

    public DocumentListType getMotivationReport()

  Gets the value of the motivationReport property.

  Returns:
    possible object is `DocumentListType`

### setMotivationReport

    public void setMotivationReport(DocumentListType value)

  Sets the value of the motivationReport property.

  Parameters:
    `value` - allowed object is `DocumentListType`

### getTestReport

    public DocumentListType getTestReport()

  Gets the value of the testReport property.

  Returns:
    possible object is `DocumentListType`

### setTestReport

    public void setTestReport(DocumentListType value)

  Sets the value of the testReport property.

  Parameters:
    `value` - allowed object is `DocumentListType`

### isIsAccident

    public boolean isIsAccident()

  Gets the value of the isAccident property.

### setIsAccident

    public void setIsAccident(boolean value)

  Sets the value of the isAccident property.

### getHospitalization

    public HospitalizationType getHospitalization()

  Gets the value of the hospitalization property.

  Returns:
    possible object is `HospitalizationType`

### setHospitalization

    public void setHospitalization(HospitalizationType value)

  Sets the value of the hospitalization property.

  Parameters:
    `value` - allowed object is `HospitalizationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.